%define pkg_name        Filter-Simple-Compile
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 1.n0i.2

Summary:       Drop-in replacement to Filter::Simple
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUDREYT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test)}
%{!?_without_test:BuildRequires: perl(Module::Compile)}


%description
This module lets you write Module::Compile extensions that are compatible
with Filter::Simple's API.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.02

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
